package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.common.MenuTree
import com.gxzc.zen.api.sys.model.SysMenu
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 菜单表 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysMenuService : BaseService<SysMenu> {
    fun getRootTree(): MenuTree?

    fun getUserMenuTree(platformId: Long): MutableList<MenuTree>

    fun getSysMenuList(): MutableList<SysMenu>

    fun getSysMenuTree(): MutableList<MenuTree>

    fun createSysMenu(entity: SysMenu): SysMenu

    fun updateMenu(entity: SysMenu): SysMenu

    fun deleteMenu(entity: SysMenu)
}
